GNU bug report logs - #22846
25.0.91; Long pauses viewing HTML email; can we show progress?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: John Wiegley <johnw@HIDDEN>; merged with #19776; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 19776 <at> debbugs.gnu.org and rms@HIDDEN Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 19776 22846. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22846 <at> debbugs.gnu.org:


Received: (at 22846) by debbugs.gnu.org; 1 Mar 2016 04:33:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 29 23:33:23 2016
Received: from localhost ([127.0.0.1]:54594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aabzt-00016I-9c
	for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 23:33:23 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:57021)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aabzo-000168-QG
 for 22846 <at> debbugs.gnu.org; Mon, 29 Feb 2016 23:33:20 -0500
Received: from 109.179.133.80.tmi.telenormobil.no ([109.179.133.80] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aabzM-0003Up-0G; Tue, 01 Mar 2016 05:32:48 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22846: 25.0.91; Long pauses viewing HTML email;
 can we show progress?
References: <m24mcs56qw.fsf@HIDDEN> <877fhohtk4.fsf@HIDDEN>
 <83twkr8qa7.fsf@HIDDEN> <87egbvgqe9.fsf@HIDDEN>
 <834mcq98e6.fsf@HIDDEN>
Date: Tue, 01 Mar 2016 15:32:42 +1100
In-Reply-To: <834mcq98e6.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 01 Mar
 2016 05:36:33 +0200")
Message-ID: <87egbux1g5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aabzM-0003Up-0G
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1457411569.16076@t2OrlCTP+m2EDVeGYYf44w
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22846
Cc: 22846 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Cc: 22846 <at> debbugs.gnu.org
>> Date: Tue, 01 Mar 2016 08:25:50 +1100
>> 
>> > Are you talking about delayed-warnings-list, delayed-warnings-hook,
>> > and display-delayed-warnings?
>> 
>> You can control the timeout and cancel the warnings automatically with
>> the delayed-warnings stuff?
>
> I don't know, I just mentioned the only feature that sounds like what
> you wanted.  It's supposed to be fully documented.

It kinda seems like it's doing the opposite of what I wanted.  :-)

-------

Sometimes, you may wish to avoid showing a warning while a command is
running, and only show it only after the end of the command.  You can
use the variable @code{delayed-warnings-list} for this.

@defvar delayed-warnings-list
The value of this variable is a list of warnings to be displayed after
the current command has finished.  Each element must be a list

@smallexample
(@var{type} @var{message} [@var{level} [@var{buffer-name}]])
@end smallexample

@noindent
with the same form, and the same meanings, as the argument list of
@code{display-warning} (@pxref{Warning Basics}).  Immediately after
running @code{post-command-hook} (@pxref{Command Overview}), the Emacs
command loop displays all the warnings specified by this variable,
then resets it to @code{nil}.
@end defvar

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22846; Package emacs. Full text available.

Message received at 22846 <at> debbugs.gnu.org:


Received: (at 22846) by debbugs.gnu.org; 1 Mar 2016 03:37:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 29 22:37:02 2016
Received: from localhost ([127.0.0.1]:54526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aab7K-0004jg-SJ
	for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 22:37:02 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45392)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aab7G-0004jP-Rj
 for 22846 <at> debbugs.gnu.org; Mon, 29 Feb 2016 22:36:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aab77-0006Ou-QP
 for 22846 <at> debbugs.gnu.org; Mon, 29 Feb 2016 22:36:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48402)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aab77-0006Oq-N3; Mon, 29 Feb 2016 22:36:45 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1295
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aab76-00032Q-5S; Mon, 29 Feb 2016 22:36:44 -0500
Date: Tue, 01 Mar 2016 05:36:33 +0200
Message-Id: <834mcq98e6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87egbvgqe9.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 01 Mar 2016 08:25:50 +1100)
Subject: Re: bug#22846: 25.0.91; Long pauses viewing HTML email;
 can we show progress?
References: <m24mcs56qw.fsf@HIDDEN> <877fhohtk4.fsf@HIDDEN>
 <83twkr8qa7.fsf@HIDDEN> <87egbvgqe9.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22846
Cc: 22846 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 22846 <at> debbugs.gnu.org
> Date: Tue, 01 Mar 2016 08:25:50 +1100
> 
> > Are you talking about delayed-warnings-list, delayed-warnings-hook,
> > and display-delayed-warnings?
> 
> You can control the timeout and cancel the warnings automatically with
> the delayed-warnings stuff?

I don't know, I just mentioned the only feature that sounds like what
you wanted.  It's supposed to be fully documented.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22846; Package emacs. Full text available.

Message received at 22846 <at> debbugs.gnu.org:


Received: (at 22846) by debbugs.gnu.org; 29 Feb 2016 21:26:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 29 16:26:24 2016
Received: from localhost ([127.0.0.1]:54194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aaVKi-0000jL-Eo
	for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 16:26:24 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:43193)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aaVKg-0000jC-Lo
 for 22846 <at> debbugs.gnu.org; Mon, 29 Feb 2016 16:26:22 -0500
Received: from cpe-60-225-211-161.nsw.bigpond.net.au ([60.225.211.161]
 helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aaVKE-00074N-Qc; Mon, 29 Feb 2016 22:25:55 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22846: 25.0.91; Long pauses viewing HTML email;
 can we show progress?
References: <m24mcs56qw.fsf@HIDDEN> <877fhohtk4.fsf@HIDDEN>
 <83twkr8qa7.fsf@HIDDEN>
Date: Tue, 01 Mar 2016 08:25:50 +1100
In-Reply-To: <83twkr8qa7.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 29 Feb
 2016 17:55:28 +0200")
Message-ID: <87egbvgqe9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aaVKE-00074N-Qc
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1457385956.50868@nFrr62fEWTZIbkbxHPXFNg
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22846
Cc: 22846 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> (with-timeout-message 2 "We're doing whatevs"
>>   (whatevs))
>> 
>> If the body form completes within 2 seconds, then nothing is displayed,
>> otherwise the message is displayed until the body form completes.
>> 
>> I can't find it now, so we probably just talked about it?
>
> Are you talking about delayed-warnings-list, delayed-warnings-hook,
> and display-delayed-warnings?

You can control the timeout and cancel the warnings automatically with
the delayed-warnings stuff?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22846; Package emacs. Full text available.

Message received at 22846 <at> debbugs.gnu.org:


Received: (at 22846) by debbugs.gnu.org; 29 Feb 2016 15:55:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 29 10:55:58 2016
Received: from localhost ([127.0.0.1]:53859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aaQAv-0005sR-Pc
	for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 10:55:57 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45443)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aaQAs-0005rw-8y
 for 22846 <at> debbugs.gnu.org; Mon, 29 Feb 2016 10:55:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aaQAg-0002we-41
 for 22846 <at> debbugs.gnu.org; Mon, 29 Feb 2016 10:55:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60948)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aaQAf-0002wZ-Rv; Mon, 29 Feb 2016 10:55:41 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4728
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aaQAf-000772-43; Mon, 29 Feb 2016 10:55:41 -0500
Date: Mon, 29 Feb 2016 17:55:28 +0200
Message-Id: <83twkr8qa7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <877fhohtk4.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 29 Feb 2016 18:19:55 +1100)
Subject: Re: bug#22846: 25.0.91; Long pauses viewing HTML email;
 can we show progress?
References: <m24mcs56qw.fsf@HIDDEN> <877fhohtk4.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22846
Cc: 22846 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 29 Feb 2016 18:19:55 +1100
> 
> Hm...  didn't we add a mechanism to display messages on a timeout the
> other year?  Or did we just talk about it?  I wanted something like
> 
> (with-timeout-message 2 "We're doing whatevs"
>   (whatevs))
> 
> If the body form completes within 2 seconds, then nothing is displayed,
> otherwise the message is displayed until the body form completes.
> 
> I can't find it now, so we probably just talked about it?

Are you talking about delayed-warnings-list, delayed-warnings-hook,
and display-delayed-warnings?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22846; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Feb 2016 07:20:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 29 02:20:47 2016
Received: from localhost ([127.0.0.1]:51790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aaI8N-0000r6-KZ
	for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 02:20:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57336)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aaI8L-0000qu-H1
 for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 02:20:45 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1aaI8F-0001JN-E2
 for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 02:20:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52318)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1aaI8F-0001JE-9r
 for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 02:20:39 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48279)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1aaI8E-00005K-BQ
 for bug-gnu-emacs@HIDDEN; Mon, 29 Feb 2016 02:20:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1aaI89-0001H7-8R
 for bug-gnu-emacs@HIDDEN; Mon, 29 Feb 2016 02:20:38 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:51908)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1aaI89-0001EC-1l
 for bug-gnu-emacs@HIDDEN; Mon, 29 Feb 2016 02:20:33 -0500
Received: from cpe-60-225-211-161.nsw.bigpond.net.au ([60.225.211.161]
 helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>) id 1aaI7b-000789-8O
 for bug-gnu-emacs@HIDDEN; Mon, 29 Feb 2016 08:19:59 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#22846: 25.0.91; Long pauses viewing HTML email;
 can we show progress?
References: <m24mcs56qw.fsf@HIDDEN>
Date: Mon, 29 Feb 2016 18:19:55 +1100
In-Reply-To: <m24mcs56qw.fsf@HIDDEN> (John Wiegley's message of "Sun, 
 28 Feb 2016 23:13:27 -0800")
Message-ID: <877fhohtk4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aaI7b-000789-8O
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1457335200.21076@JR7K8gIPNiK0eCkbbcUUiQ
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

John Wiegley <jwiegley@HIDDEN> writes:

> I have a feeling this may become a non-issue after Lars' asynchronous DNS
> support goes live, but for 25.1, I find that hitting SPACE to read an HTML
> e-mail with many images, Emacs pauses for up to ~10 seconds doing...
> something.

Yeah, that's the problem the async code makes go away...

> It would help me to know work is being done, by some kind of prompting
> in the message area, the way that Firefox does when loading a slow
> page.
>
> Bonus points for only prompting after a second or more, to avoid excessive
> logging to *Messages*, but that's not terribly important.

Hm...  didn't we add a mechanism to display messages on a timeout the
other year?  Or did we just talk about it?  I wanted something like

(with-timeout-message 2 "We're doing whatevs"
  (whatevs))

If the body form completes within 2 seconds, then nothing is displayed,
otherwise the message is displayed until the body form completes.

I can't find it now, so we probably just talked about it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22846; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Feb 2016 07:13:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 29 02:13:45 2016
Received: from localhost ([127.0.0.1]:51769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aaI1Y-0007SM-Rj
	for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 02:13:45 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55233)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <jwiegley@HIDDEN>) id 1aaI1X-0007S8-2h
 for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 02:13:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jwiegley@HIDDEN>) id 1aaI1Q-0007x0-UZ
 for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 02:13:37 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36430)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jwiegley@HIDDEN>) id 1aaI1Q-0007ww-S3
 for submit <at> debbugs.gnu.org; Mon, 29 Feb 2016 02:13:36 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46204)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jwiegley@HIDDEN>) id 1aaI1P-0007Lr-SF
 for bug-gnu-emacs@HIDDEN; Mon, 29 Feb 2016 02:13:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jwiegley@HIDDEN>) id 1aaI1K-0007w6-Mk
 for bug-gnu-emacs@HIDDEN; Mon, 29 Feb 2016 02:13:35 -0500
Received: from mail-pf0-x22b.google.com ([2607:f8b0:400e:c00::22b]:36651)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jwiegley@HIDDEN>) id 1aaI1K-0007w0-FI
 for bug-gnu-emacs@HIDDEN; Mon, 29 Feb 2016 02:13:30 -0500
Received: by mail-pf0-x22b.google.com with SMTP id t66so21504223pfb.3
 for <bug-gnu-emacs@HIDDEN>; Sun, 28 Feb 2016 23:13:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:user-agent:reply-to
 :mail-followup-to:mime-version;
 bh=xTNhGkCbmgvDm34vJQLKDT+afnQ3WXZmdv8Y6jl+vKA=;
 b=zfNmzKclSGCfQYS7JTeMJ37gtdMcKFvRif6WwdhZchRmePimDdSgr2t+L2pbBQ99m+
 7lhJnRl5oKwpoZ5EP7ZKoOw5VQc9XjtbIJjZQpZIopUNrvASV+/2g3MXqRQbqb+cPe2R
 Ix3DhQ+IlUv6eZgx5qHjXZ8Nb0nIHDadpXr8mD09FtYGE7A34PpahB0epki0josITgJF
 /7PdU8enjBpYoBJQKDKariB4h/jh1nCp4h4yaRmNHVu8OnlF4GtXQ5L8ojY8t583wfXM
 noqXMRSYlMZ7j1vmO43E1EYTpiyScZZdbDEJ3FrWaXnN2ETQd8Yefgl3ntHkEBvmdG42
 uSrg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :reply-to:mail-followup-to:mime-version;
 bh=xTNhGkCbmgvDm34vJQLKDT+afnQ3WXZmdv8Y6jl+vKA=;
 b=LtLXuCTxi2GiEplG18PjxZgyB4cpJ5l5UXpOfPKfQCfzweicXf4iZu+b1/FsaK2QJ6
 2QfVISldhzO3d8IJhuNDcJEn4N+rJsCUNUA+LYrPbhM5ZIgnkotgBPQF2H8JcYouHMUL
 cfEg3Q322ARlMya6LgaY5WRsl1KE02jIv9XCO3uZqrdF6yVyMv4MFkF6oXq4RSq88M4R
 X/i7Z039yIRL2v7aFv7H8X5z934scyiP7BhM1NeItcpfgWcuq2qgtz4qFIyklFGpn4fl
 oGpm32v+iLksFExESJReaRahdbKX5yK5ekxfstBWg4W/e4rXR/11Wf0qMPAMfoWmbN60
 viUA==
X-Gm-Message-State: AD7BkJJkNO0xD+4LhYPZZ4Qw+klZWgYJw4p1k1NQ8LyvVLEtPSG15VjvWnUXVj0eIYq/Qw==
X-Received: by 10.98.74.144 with SMTP id c16mr20056102pfj.129.1456730009759;
 Sun, 28 Feb 2016 23:13:29 -0800 (PST)
Received: from Vulcan.local (76-234-68-79.lightspeed.frokca.sbcglobal.net.
 [76.234.68.79])
 by smtp.gmail.com with ESMTPSA id z5sm4067423par.21.2016.02.28.23.13.28
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1 cipher=AES128-SHA bits=128/128);
 Sun, 28 Feb 2016 23:13:29 -0800 (PST)
From: John Wiegley <jwiegley@HIDDEN>
X-Google-Original-From: "John Wiegley" <johnw@HIDDEN>
Received: by Vulcan.local (Postfix, from userid 501)
 id 63BBE132358C7; Sun, 28 Feb 2016 23:13:28 -0800 (PST)
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.91; Long pauses viewing HTML email; can we show progress?
Date: Sun, 28 Feb 2016 23:13:27 -0800
Message-ID: <m24mcs56qw.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.0.91 (darwin)
Mail-Followup-To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Wiegley <johnw@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

I have a feeling this may become a non-issue after Lars' asynchronous DNS
support goes live, but for 25.1, I find that hitting SPACE to read an HTML
e-mail with many images, Emacs pauses for up to ~10 seconds doing...
something. It would help me to know work is being done, by some kind of
prompting in the message area, the way that Firefox does when loading a slow
page.

Bonus points for only prompting after a second or more, to avoid excessive
logging to *Messages*, but that's not terribly important.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Acknowledgement sent to John Wiegley <johnw@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22846; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 27 Oct 2021 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.